## simtrace2 0.9.0

=== Makefile ===
all: fw utils

define RULES
fw-$(1)-$(2):
	make -C firmware BOARD=$(1) APP=$(2)
fw-$(1)-$(2)-clean:
	make -C firmware BOARD=$(1) APP=$(2) clean
endef

$(eval $(call RULES,simtrace,dfu))
$(eval $(call RULES,simtrace,blupdate))
$(eval $(call RULES,simtrace,trace))
$(eval $(call RULES,simtrace,cardem))
$(eval $(call RULES,qmod,dfu))
$(eval $(call RULES,qmod,blupdate))
$(eval $(call RULES,qmod,cardem))
$(eval $(call RULES,ngff_cardem,dfu))
$(eval $(call RULES,ngff_cardem,blupdate))
$(eval $(call RULES,ngff_cardem,trace))
$(eval $(call RULES,ngff_cardem,cardem))

fw-clean: fw-simtrace-dfu-clean fw-simtrace-blupdate-clean fw-simtrace-trace-clean fw-simtrace-cardem-clean \
	fw-qmod-dfu-clean fw-qmod-blupdate-clean fw-qmod-cardem-clean \
	fw-ngff_cardem-dfu-clean fw-ngff_cardem-blupdate-clean fw-ngff_cardem-trace-clean fw-ngff_cardem-cardem-clean
fw: fw-simtrace-dfu fw-simtrace-blupdate fw-simtrace-trace fw-simtrace-cardem \
	fw-qmod-dfu fw-qmod-blupdate fw-qmod-cardem \
	fw-ngff_cardem-dfu fw-ngff_cardem-blupdate fw-ngff_cardem-trace fw-ngff_cardem-cardem

utils:
	(cd host && \
	 autoreconf -fi && \
	 ./configure --prefix=/usr --disable-werror && \
	 make)

clean: fw-clean
	if [ -e host/Makefile ]; then \
		make -C host clean; \
	fi

install:
	make -C firmware install
	make -C host install

=== firmware/Makefile ===
# ----------------------------------------------------------------------------
#         ATMEL Microcontroller Software Support 
# ----------------------------------------------------------------------------
# Copyright (c) 2010, Atmel Corporation
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# - Redistributions of source code must retain the above copyright notice,
# this list of conditions and the disclaimer below.
#
# Atmel's name may not be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
# DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# ----------------------------------------------------------------------------

#   Makefile for compiling the Getting Started with SAM3S Microcontrollers project

GIT_VERSION=$(shell $(TOP)/git-version-gen $(TOP)/.tarball-version)

CFLAGS = \
	 -Werror=format-security \
	 -Wformat \
	 -g \
	 $(NULL)

#-------------------------------------------------------------------------------
#        User-modifiable options
#-------------------------------------------------------------------------------

# verbosity
V ?= 0
ifneq ("$(V)","0")
SILENT :=
else
SILENT := @
endif

# Chip & board used for compilation
# (can be overriden by adding CHIP=chip and BOARD=board to the command-line)
CHIP  ?= sam3s4
BOARD ?= qmod
APP ?= dfu

# Defines which are the available memory targets for the SAM3S-EK board.
ifeq ($(APP), dfu)
MEMORIES ?= flash
TRACE_LEVEL ?= 0
else
MEMORIES ?= dfu
endif

# Output directories and filename
OUTPUT = $(BOARD)-$(APP)
BIN = bin
OBJ = obj/$(BOARD)

#-------------------------------------------------------------------------------
#		Tools
#-------------------------------------------------------------------------------

AT91LIB = ./atmel_softpack_libraries

AT91LIB_USB_COMMON_CORE_PATH = $(AT91LIB)/usb/common/core
AT91LIB_USB_CORE_PATH = $(AT91LIB)/usb/device/core
AT91LIB_USB_DFU_PATH = $(AT91LIB)/usb/device/dfu

# Tool suffix when cross-compiling
CROSS_COMPILE = arm-none-eabi-

USE_CLANG ?= 0
ifneq ("$(USE_CLANG)","0")
# --target=thumbv7m-none-eabi
CC = clang
LD = ld.lld
SIZE = llvm-size
LIBS = -nostdlib
else
CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)ld
SIZE = $(CROSS_COMPILE)size
LIBS = -Wl,--start-group -lgcc -Wl,--end-group -nostdlib
endif

STRIP = $(CROSS_COMPILE)strip
OBJCOPY = $(CROSS_COMPILE)objcopy
GDB = $(CROSS_COMPILE)gdb
NM = $(CROSS_COMPILE)nm

TOP=..

#-------------------------------------------------------------------------------
#		Files
#-------------------------------------------------------------------------------

# Directories where source files can be found

USB_PATHS = $(AT91LIB_USB_CORE_PATH) $(AT91LIB_USB_DFU_PATH) $(AT91LIB_USB_COMMON_CORE_PATH)

VPATH += $(USB_PATHS)
VPATH += $(AT91LIB)/libchip_sam3s/source/ $(AT91LIB)/libchip_sam3s/cmsis
VPATH += libboard/common/source libboard/$(BOARD)/source
VPATH += libcommon/source
VPATH += libosmocore/source 
VPATH += apps/$(APP)

# Objects built from C source files
C_OSMOCORE = $(notdir $(wildcard libosmocore/source/*.c))
C_LIBCHIP  = $(notdir $(wildcard $(AT91LIB)/libchip_sam3s/source/*.c) $(wildcard $(AT91LIB)/libchip_sam3s/cmsis/*.c))

C_LIBUSB     = USBDescriptors.c USBRequests.c USBD.c USBDCallbacks.c USBDDriver.c USBDDriverCallbacks.c
C_LIBUSB_RT  = dfu.c dfu_runtime.c
C_LIBUSB_DFU = dfu.c dfu_desc.c dfu_driver.c
C_LIBCOMMON  = string.c stdio.c fputs.c usb_buf.c ringbuffer.c pseudo_talloc.c host_communication.c \
	       main_common.c stack_check.c crcstub.c

C_BOARD      = $(notdir $(wildcard libboard/common/source/*.c))
C_BOARD     += $(notdir $(wildcard libboard/$(BOARD)/source/*.c))

C_APPLEVEL = $(notdir $(wildcard apps/$(APP)/*.c))

C_FILES  = $(C_OSMOCORE) $(C_LIBCHIP) $(C_LIBUSB) $(C_LIBCOMMON) $(C_BOARD) $(C_APPLEVEL)

-include apps/$(APP)/Makefile

C_OBJECTS  = $(C_FILES:%.c=%.o)

# Trace level used for compilation
# (can be overriden by adding TRACE_LEVEL=#number to the command-line)
# TRACE_LEVEL_DEBUG      5
# TRACE_LEVEL_INFO       4
# TRACE_LEVEL_WARNING    3
# TRACE_LEVEL_ERROR      2
# TRACE_LEVEL_FATAL      1
# TRACE_LEVEL_NO_TRACE   0
TRACE_LEVEL ?= 4

# allow asserting the peer SAM3S ERASE signal to completely erase the flash
# only applicable for qmod board
ALLOW_PEER_ERASE?=0

#CFLAGS+=-DUSB_NO_DEBUG=1

# Optimization level, put in comment for debugging
ifneq ("$(USE_CLANG)","0")
OPTIMIZATION ?= -Oz
else
OPTIMIZATION ?= -Os
endif

# Flags
INCLUDES_USB = -I$(AT91LIB)/usb/include -I$(AT91LIB)

INCLUDES = $(INCLUDES_USB)
INCLUDES += -I$(AT91LIB)/libchip_sam3s -I$(AT91LIB)/libchip_sam3s/include
INCLUDES += -I$(AT91LIB)/libchip_sam3s/cmsis
INCLUDES += -Ilibboard/common/include -Ilibboard/$(BOARD)/include
INCLUDES += -Ilibcommon/include
INCLUDES += -Ilibosmocore/include
INCLUDES += -Isrc_simtrace -Iinclude
INCLUDES += -Iapps/$(APP)

ifneq ("$(USE_CLANG)","0")
CFLAGS += -Wno-unknown-warning-option -Wno-empty-body -fno-exceptions -fno-unwind-tables --config armv7em_soft_nofp_nosys
else
CFLAGS += -Wno-suggest-attribute=noreturn --param max-inline-insns-single=500
endif
CFLAGS += -Wall -Wchar-subscripts -Wcomment -Wimplicit-int -Wformat=2
CFLAGS += -Werror-implicit-function-declaration -Wmain -Wparentheses
CFLAGS += -Wsequence-point -Wreturn-type -Wswitch -Wtrigraphs #-Wunused
CFLAGS += -Wuninitialized -Wunknown-pragmas -Wfloat-equal #-Wundef
CFLAGS += -Wshadow -Wpointer-arith -Wbad-function-cast -Wwrite-strings
CFLAGS += -Waggregate-return #-Wsign-compare
CFLAGS += -Wmissing-format-attribute -Wno-deprecated-declarations
CFLAGS += #-Wpacked
CFLAGS += -Wredundant-decls -Wnested-externs #-Winline -Wlong-long
CFLAGS += -Wunreachable-code
#CFLAGS += -Wcast-align
#CFLAGS += -std=c11
#CFLAGS += -Wmissing-noreturn
#CFLAGS += -Wconversion
CFLAGS += -Wno-unused-but-set-variable -Wno-unused-variable


# -mlong-calls  -Wall
#CFLAGS += -save-temps -fverbose-asm
#CFLAGS += -Wa,-a,-ad
CFLAGS += -D__ARM -fno-builtin
CFLAGS += -mcpu=cortex-m3 -mthumb # -mfix-cortex-m3-ldrd
CFLAGS += -ffunction-sections -g $(OPTIMIZATION) $(INCLUDES) -D$(CHIP) -DTRACE_LEVEL=$(TRACE_LEVEL) -DALLOW_PEER_ERASE=$(ALLOW_PEER_ERASE)
CFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"
CFLAGS += -DBOARD=\"$(BOARD)\" -DBOARD_$(BOARD)
CFLAGS += -DAPPLICATION=\"$(APP)\" -DAPPLICATION_$(APP)

# Disable stack protector by default (OS#5081)
ifeq ($(STACK_PROTECTOR), 1)
CFLAGS += -fstack-protector
else
CFLAGS += -fno-stack-protector
endif

ASFLAGS = -mcpu=cortex-m3 -mthumb -Wall -g $(OPTIMIZATION) $(INCLUDES) -D$(CHIP) -D__ASSEMBLY__
LDFLAGS = -mcpu=cortex-m3 -mthumb -Wl,--check-sections -Wl,--gc-sections -Wl,--entry=ResetException -Wl,--unresolved-symbols=report-all -Wl,--warn-common -Wl,--no-undefined $(LIB)
ifeq ("$(USE_CLANG)","0")
LDFLAGS += -Wl,--warn-section-align -Wl,--print-memory-usage
endif
#LD_OPTIONAL=-Wl,--print-gc-sections -Wl,--stats

# Append BIN directories to output filename
OUTPUT := $(BIN)/$(OUTPUT)

#-------------------------------------------------------------------------------
#		Rules
#-------------------------------------------------------------------------------

all: $(BIN) $(OBJ) $(MEMORIES)

combined: $(OUTPUT)-combined.bin

$(BIN)/$(BOARD)-dfu-flash-padded.bin: $(BIN)/$(BOARD)-dfu-flash.bin
	dd if=/dev/zero bs=16384 count=1 of=$@
	dd if=$< conv=notrunc of=$@

$(OUTPUT)-combined.bin: $(BIN)/$(BOARD)-dfu-flash-padded.bin $(OUTPUT)-dfu.bin
	cat $^ > $@

$(BIN) $(OBJ): apps/$(APP)/usb_strings_generated.h misc/crctool
	mkdir -p $@

usbstring/usbstring: usbstring/usbstring.c
	gcc $^ -o $@

misc/crctool: misc/crctool.c
	gcc $^ -o $@

.PHONY: apps/$(APP)/usb_strings.txt.patched
apps/$(APP)/usb_strings.txt.patched: apps/$(APP)/usb_strings.txt
	sed "s/PRODUCT_STRING/$(shell cat libboard/$(BOARD)/product_string.txt)/" $< > $@

apps/$(APP)/usb_strings_generated.h: apps/$(APP)/usb_strings.txt.patched usbstring/usbstring
	cat $< | usbstring/usbstring > $@

define RULES
C_OBJECTS_$(1) = $(addprefix $(OBJ)/$(1)_, $(C_OBJECTS))
ASM_OBJECTS_$(1) = $(addprefix $(OBJ)/$(1)_, $(ASM_OBJECTS))
EXTRA_OBJECTS_$(1) = $(addprefix $(OBJ)/$(1)_, $(EXTRA_OBJECTS))

build_$(1): $$(ASM_OBJECTS_$(1)) $$(C_OBJECTS_$(1)) $$(EXTRA_OBJECTS_$(1))
	$(SILENT)$(CC) $(CFLAGS) $(LDFLAGS) $(LD_OPTIONAL) -T"libboard/common/resources/$(CHIP)/$(1).ld" -Wl,-Map,$(OUTPUT)-$(1).map -o $(OUTPUT)-$(1).elf $$^ $(LIBS)
	$(SILENT)$(NM) $(OUTPUT)-$(1).elf >$(OUTPUT)-$(1).elf.txt
	$(SILENT)$(OBJCOPY) -O binary $(OUTPUT)-$(1).elf $(OUTPUT)-$(1).bin

$$(C_OBJECTS_$(1)): $(OBJ)/$(1)_%.o: %.c Makefile $(OBJ) $(BIN)
	@echo [COMPILING $$<]
	$(SILENT)$(CC) $(CFLAGS) -DENVIRONMENT_$(1) -DENVIRONMENT=\"$(1)\" -c -o $$@ $$<

$$(ASM_OBJECTS_$(1)): $(OBJ)/$(1)_%.o: %.S Makefile $(OBJ) $(BIN)
	@echo [ASSEMBLING $$@]
	$(SILENT)$(CC) $(ASFLAGS) -DENVIRONMENT_$(1) -DENVIRONMENT=\"$(1)\" -c -o $$@ $$<

endef

ALL_MEMORIES = flash ram
$(foreach MEMORY, $(ALL_MEMORIES), $(eval $(call RULES,$(MEMORY))))

# files with those names do exist..
.PHONY: dfu
dfu: $(OUTPUT)-dfu.bin
.PHONY: ram
ram: build_ram
.PHONY: flash
flash: build_flash
#alternate way of embedding: obj file
#ifeq ($(APP), dfu)
#	$(info bootloader bin file to obj..)
#	$(SILENT)$(OBJCOPY) --rename-section .data=.fwupdate -I binary -O elf32-littlearm bin/$(BOARD)-dfu-flash.bin $(OBJ)/flash_fwupdate.o
#endif

C_OBJECTS_dfu = $(addprefix $(OBJ)/dfu_, $(C_OBJECTS))
ASM_OBJECTS_dfu = $(addprefix $(OBJ)/dfu_, $(ASM_OBJECTS))
EXTRA_OBJECTS_dfu = $(addprefix $(OBJ)/dfu_, $(EXTRA_OBJECTS))

$(OUTPUT)-dfu.bin: $(OUTPUT)-dfu_nocrcstub.bin
	$(info updating app with crc..)
	$(SILENT)cp $< $@.temp
	$(SILENT)misc/crctool 512 $@.temp
	$(SILENT)mv $@.temp $@

$(OUTPUT)-dfu_nocrcstub.bin: $(OUTPUT)-dfu_nocrcstub.elf
ifeq ($(APP), blupdate)
	$(info updating updater section with padded bootloader file..)
	$(SILENT)dd status=none if=/dev/zero bs=16384 count=1 of=$(BIN)/$(BOARD)-dfu-flash-padded.bin
	$(SILENT)dd status=none if=$(BIN)/$(BOARD)-dfu-flash.bin conv=notrunc of=$(BIN)/$(BOARD)-dfu-flash-padded.bin
	$(SILENT)$(OBJCOPY) --update-section .blupdate=bin/$(BOARD)-dfu-flash-padded.bin $<
endif
	$(SILENT)$(OBJCOPY) -O binary $< $@

$(OUTPUT)-dfu_nocrcstub.elf: $(ASM_OBJECTS_dfu) $(C_OBJECTS_dfu) $(EXTRA_OBJECTS_dfu)
	$(SILENT)$(CC) $(CFLAGS) $(LDFLAGS) $(LD_OPTIONAL) -T"libboard/common/resources/$(CHIP)/dfu.ld" -Wl,-Map,$(OUTPUT)-dfu_nocrcstub.map -o $@ $^ $(LIBS)
	$(SILENT)$(NM) $@ >$@.txt

$(C_OBJECTS_dfu): $(OBJ)/dfu_%.o: %.c Makefile $(OBJ) $(BIN)
	@echo [COMPILING $<]
	$(SILENT)$(CC) $(CFLAGS) -DENVIRONMENT_dfu -DENVIRONMENT=\"dfu\" -c -o $@ $<

$(ASM_OBJECTS_dfu): $(OBJ)/dfu_%.o: %.S Makefile $(OBJ) $(BIN)
	@echo [ASSEMBLING $@]
	$(SILENT)$(CC) $(ASFLAGS) -DENVIRONMENT_dfu -DENVIRONMENT=\"dfu\" -c -o$@ $<


SERIAL ?= /dev/ttyUSB0
log:
	stty -F $(SERIAL) 921600
	lsof $(SERIAL) && echo "log is already opened" || ( sed -u "s/\r//" $(SERIAL) | ts )

clean:
	-rm -f apps/$(APP)/usb_strings.txt.patched
	-rm -fR $(OBJ)/*.o $(BIN)/*.bin $(BIN)/*.elf $(BIN)/*.elf.txt $(BIN)/*.map $(BIN)/*.lst `find . -name \*.p`

install:
	mkdir -p $(DESTDIR)/usr/share/simtrace2
	cp $(BIN)/*.bin $(BIN)/*.elf $(BIN)/*.elf.txt $(BIN)/*.map $(DESTDIR)/usr/share/simtrace2

=== firmware/apps/freq_ctr/Makefile ===
C_FILES += $(C_LIBUSB_RT)

C_FILES += freq_ctr.c

=== firmware/apps/gpio_test/Makefile ===
C_FILES += $(C_LIBUSB_RT)

C_FILES += gpio_test.c

=== firmware/apps/triple_play/Makefile ===
C_FILES += $(C_LIBUSB_RT)

C_FILES += card_emu.c iso7816_4.c iso7816_fidi.c mitm.c mode_cardemu.c mode_ccid.c simtrace_iso7816.c sniffer.c usb.c

=== debian/changelog ===
simtrace2 (0.9.0) unstable; urgency=medium

  [ Oliver Smith ]
  * host/contrib/simtrace2.spec.in: update
  * treewide: remove FSF address
  * contrib/jenkins.sh: set USE_CLANG=1
  * Cosmetic: fix CI errors
  * debian/rules: remove override_dh_autoreconf
  * debian: set compat level to 10
  * contrib/jenkins: tweak shell logic
  * firmware/Makefile: don't use distribution's CFLAGS
  * contrib: remove rpm spec file

  [ Eric Wild ]
  * firmware: add crc stub to all dfu apps to ensure reliable loading
  * wireshark lua dissector: dissect more
  * lua dissector: adjust usage instructions
  * conrtrib/upload : upload elf files
  * contrib/jenkins.sh : build and publish combined targets
  * fw: only build the bl with clang

  [ James Tavares ]
  * simtrace2-tool: add "modem sim-card (insert|remove)" command
  * firmware: add definition for main osc bypass when using external osc
  * gitignore: add missing entries binaries
  * firmware: bugfix: disable cardemu comms in local SIM mode
  * main: rotor: erase immediately after send
  * Fix missing generation of waiting-time-extension in some situations

  [ Harald Welte ]
  * host: Print strerror(errno) in case of problems opening the USB device
  * cosmetic: Fix indent of printf() statement
  * host: properly zero-initialize interface match structures
  * contrib/simtrace.lua: Add VID/PID of all currentl simtrace2 devices
  * cosmetic: contrib/simtrace.lua: more consistent formatting
  * contrib/simtrace.lua: Add header with author/description/usage
  * contrib/simtrace.lua: print length + slot-number in decimal only
  * contrib/simtrace.lua: Don't print SIMTRACE_MSGT_ in every COL_INFO
  * contrib/simtrace.lua: Dissect some more cardem related message types
  * contrib/simtrace.lua: Register for "decode as..."
  * cardem: Report the VCC voltage (if supported)
  * card_emu_uart_interrupt: ASSERT if we get called with wrong uart_chan
  * cardem: set more reasonable interrupt priorities
  * host: Always initialize libosmocore logging before using it
  * simtrace2-cardem-pcsc: rename 'flags' to 'status_flags'
  * simtrace2-cardem-pcsc: Move all logging into libosmocore
  * simtrace2-cardem-pcsc: Detect card power-up without RESET
  * host: Don't pass -1 (converted to 255) as address
  * simtrace2-cardem-pcsc: Fix copy+paste error in log message
  * simtrace2-cardem-pcsc: continue in case of LIBUSB_TRANSFER_ERROR
  * contrib/simtrace.lua: Add Flag bits + Data to COL_INFO
  * Reduce bInterval of interrupt endpoints to avoid interrupt misses
  * simtrace2-cardem-pcsc.c: Send APDUs via GSMTAP
  * update git URLs (git -> https; gitea)
  * cardem: reset the uC in case of USB disconnect
  * cosmetic: Fix compile-time #error message string typo
  * firmware/sniffer: Fix copy+paste when logging invalid INS bytes
  * firmware/sniffer: Log parity errors, just like overruns and framing errors
  * firmware/sniffer: refactor setting TPDU state
  * firmware/sniffer: Log old and new state in ISO7816-3 state changes
  * firmware/sniffer: Avoid extra call for rbuf_is_full
  * firmware/sniffer: Fix programming error in PPS
  * firmware/sniffer: Make all global variables 'static'
  * firmware/sniffer: Group global variables in structs
  * firmware/sniffer: Log cause of WT change
  * firmware/sniffer: Rename global variable 'wt' to 'g_wt'
  * firmware/sniffer: Disable TIMEOUT interrupts in USART IER on exit
  * firmware/sniffer: Add + use 16bit ringbuffer
  * firmware/sniffer: Pass PARITY/OVERRUN/FRAMING error via ringbuffer
  * firmware/sniffer: Handle WT timeouts via ring-buffer
  * firmware/sniffer: introduce #define for interrupt enable flags
  * firmware/sniffer: Enable interrupts for overrun/parity/frame errors
  * Fix unchecked return value of osmo_libusb_init()
  * Add funding link to github mirror
  * README.md: Fix mark-down nested bullet syntax
  * README.md: Fix mark-down nested bullet syntax
  * README.md: add links to SIMtrace2 and QMOD
  * README.md: Add links to where hardware can be bought
  * README.md: Add section on ngff_carem
  * README.md: Add note to avoid using a VM

  [ Alexander Couzens ]
  * firmware: usb: call USBD_HAL_DISCONNECT while usb init to recover from resets
  * ngff_cardem: cosmetic: fix superflous space
  * dissector: add support for sim polarity
  * firmware: allow to change the sim presence pin polarity
  * simtrace2-cardem-pcsc: allow to set sim presence polarity

  [ Vadim Yanitskiy ]
  * host/cardem: fix integer overflow in process_do_rx_da()

  [ Philipp Maier ]
  * simtrace2-cardem-pcsc: mark reset events in GSMTAP trace

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 16:07:53 +0100

=== debian/control ===
Source: simtrace2
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               git,
               dh-autoreconf,
               libosmocore-dev (>= 1.11.0),
               libpcsclite-dev,
               libnewlib-arm-none-eabi,
               libusb-1.0-0-dev,
               gcc-arm-none-eabi
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/sim-card/simtrace2
Vcs-Browser: https://gitea.osmocom.org/sim-card/simtrace2
Homepage: http://osmocom.org/projects/simtrace2/wiki

Package: simtrace2-firmware
Section: devel
Architecture: all
Recommends: dfu-util
Description: Firmware for SAM3 based SIMtrace2 USB Devices.
 Open Source firmware for the Cortex-M3 microcontroller in the
 "Osmocom SIMtrace2" USB-attached peripheral device.  Will only work in
 SAM3S-based SIMtrace2, not in its SAM7S-based predecessor SIMtrace!

Package: simtrace2-utils
Section: devel
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
Recommends: simtrace2-firmware
Description: Host utilities to communicate with SIMtrace2 USB Devices.

Package: libosmo-simtrace2-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: Osmocom SIMtrace2 library
  This library contains core "driver" functionality to interface with the
  Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
  applications to implement SIM card / smart card tracing as well as
  SIM / smart card emulation functions.

Package: libosmo-simtrace2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, libosmo-simtrace2-1, ${misc:Depends}
Description: Development headers for Osmocom SIMtrace2 library
  This library contains core "driver" functionality to interface with the
  Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
  applications to implement SIM card / smart card tracing as well as
  SIM / smart card emulation functions.
  .
  The header files provided by this package may be used to develop
  with any of the libosmocore libraries.
  .
  Also static libraries are installed with this package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions


%:
	dh $@ --no-parallel

## simtrace2 0.9.0.1.d0ad.202506242026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 24 Jun 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506242026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506242026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506242026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202506252026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 25 Jun 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506242026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506252026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506242026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506252026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506242026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506252026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202506262026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 26 Jun 2025 20:27:35 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506252026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506262026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506252026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506262026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506252026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506262026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202506272026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 27 Jun 2025 20:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506262026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506272026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506262026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506272026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506262026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506272026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202506282026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 28 Jun 2025 20:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506272026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506282026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506272026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506282026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506272026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506282026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202506292026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 29 Jun 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506282026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506292026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506282026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506292026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506282026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506292026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202506302026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202506302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 30 Jun 2025 20:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506292026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202506302026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506292026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202506302026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506292026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202506302026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507012026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 01 Jul 2025 20:27:26 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506302026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507012026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506302026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507012026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202506302026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507012026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507022026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 02 Jul 2025 20:27:26 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507012026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507022026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507012026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507022026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507012026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507022026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507052026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 05 Jul 2025 20:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507022026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507052026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507022026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507052026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507022026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507052026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507062026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 06 Jul 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507052026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507062026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507052026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507062026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507052026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507062026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507072026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 07 Jul 2025 20:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507062026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507072026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507062026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507072026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507062026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507072026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507082026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 08 Jul 2025 20:27:26 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507072026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507082026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507072026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507082026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507072026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507082026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507092026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 09 Jul 2025 20:27:28 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507082026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507092026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507082026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507092026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507082026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507092026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507102026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 10 Jul 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507092026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507102026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507092026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507102026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507092026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507102026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507112026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 11 Jul 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507102026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507112026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507102026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507112026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507102026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507112026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables

## simtrace2 0.9.0.1.d0ad.202507122026

=== debian/changelog ===
simtrace2 (0.9.0.1.d0ad.202507122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 12 Jul 2025 20:27:24 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507112026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
+Depends: osmocom-nightly (= 202507122026), ${shlibs:Depends}, ${misc:Depends}, libosmo-simtrace2-1
 Recommends: simtrace2-firmware
 Description: Host utilities to communicate with SIMtrace2 USB Devices.
 
@@ -41,7 +41,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507112026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202507122026), ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202507112026), libosmo-simtrace2-1, ${misc:Depends}
+Depends: osmocom-nightly (= 202507122026), libosmo-simtrace2-1, ${misc:Depends}
 Description: Development headers for Osmocom SIMtrace2 library
   This library contains core "driver" functionality to interface with the
   Osmocom SIMtrace2 (and compatible) USB device firmware.  It enables
